Bug 878100 - Grub2 truncates device paths longer than 64 bytes
Grub2 truncates device paths longer than 64 bytes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
rawhide
ppc64 All
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On: 857305
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-19 11:35 EST by Paulo Flabiano Smorigo
Modified: 2013-04-03 14:27 EDT (History)
11 users (show)

See Also:
Fixed In Version: grub2-2.00-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 857305
Environment:
Last Closed: 2013-04-03 14:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 85141 None None None Never

  None (edit)
Description Paulo Flabiano Smorigo 2012-11-19 11:35:49 EST
+++ This bug was initially created as a clone of Bug #857305 +++

== Comment: #0 - Gustavo Luiz Duarte <gusld@br.ibm.com> - 2012-09-13 15:12:56 ==
Grub2 has a limit of 64 bytes for the device path. Some types of devices have path longer than 64 bytes. 

For example, we have a device with the following path:
/io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014,0339@0/sas/disk@0

In the grub2's rescue console, an 'ls' shows the complete device path, but 'ls -l' throws an error showing a truncated device path.

grub rescue> ls
(ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sas/disk) (ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sas/disk,msdos3) (ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sas/disk,msdos2) (ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sas/disk,msdos1) (ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sata/disk) (ieee1275//packages/gscsi/disk) 
grub rescue> ls -l                          
error: disk `ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/
pci101,msdos2' not found.
grub rescue>

== Comment: #1 - Paulo Flabiano Smorigo <pfsmorigo@br.ibm.com> - 2012-09-13 15:18:50 ==

--- Additional comment from IBM Bug Proxy on 2012-09-14 00:51:18 EDT ---

Created attachment 612721 [details]
Increase the buffer size to support device path bigger than 64 characters.

--- Additional comment from IBM Bug Proxy on 2012-09-19 13:53:31 EDT ---

Created attachment 614508 [details]
Resubmitting patch using pjones's guideline


------- Comment (attachment only) From pfsmorigo@br.ibm.com 2012-09-19 17:35 EDT-------
Comment 1 Jimi X 2012-11-26 11:29:05 EST
Hey, what is the progress on this?
Comment 2 Phil Knirsch 2013-02-08 09:36:44 EST
Can't see the patch in the latest grub2, so moving to rawhide.

Thanks & regards, Phil
Comment 3 Fedora End Of Life 2013-04-03 14:20:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.